From: Sophie Brun <sophie@offensive-security.com>
Date: Tue, 10 Jan 2023 17:59:22 +0100
Subject: Fix for flask-limiter version >= 3.0.0

Upstream changed the order of extension constructor arguments to only
require key_func as the first positional argument and all other
arguments as keyword arguments.
---
 faraday/server/app.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/faraday/server/app.py b/faraday/server/app.py
index c7d1334..6fc0720 100644
--- a/faraday/server/app.py
+++ b/faraday/server/app.py
@@ -514,8 +514,8 @@ def create_app(db_connection_string=None, testing=None, register_extensions_flag
     from faraday.server.api.modules.agent import agent_creation_api  # pylint: disable=import-outside-toplevel
 
     app.limiter = Limiter(
-        app,
-        key_func=get_remote_address,
+        get_remote_address,
+        app=app,
         default_limits=[]
     )
     if not testing:
